Summary:	A light and eye-candy dock to launch your programs easily
Name:     	cairo-dock
Version:	3.2.1
Release:	%mkrel 2
License:	GPLv3+
Group:		Graphical desktop/Other
Source:		http://launchpad.net/cairo-dock-core/3.2/%{version}/+download/cairo-dock-%{version}.tar.gz
Patch0:		cairo-dock-3.2.1-link.patch
Patch1:		cairo-dock-3.2.1-enable-deprecated-feature.patch
URL:		https://launchpad.net/cairo-dock-core
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	cmake
Suggests:	cairo-dock-plugins = %version
Suggests:	cairo-dock-themes

%description
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

%files -f %{name}.lang
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libcd-Help.so
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.svg
%{_mandir}/man1/cairo-dock.1.*
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

#---------------------------------------------------------------------
%define major 3
%define libname %mklibname gldi %{major}
%package -n %libname
Summary: Library files for cairo-dock
Group: System/Libraries

%description -n %libname
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the libraries for cairo-dock functions.

%files  -n %libname
%{_libdir}/libgldi.so.%{major}
%{_libdir}/libgldi.so.%{major}.*

#---------------------------------------------------------------------
%package devel
Summary: Development files for cairo-dock
Group: Development/Other
Requires: %name = %version
Requires: %libname = %version

%description devel
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the include files and library for cairo-dock functions.

%files devel
%{_includedir}/%name
%{_libdir}/libgldi.so
%{_libdir}/pkgconfig/*.pc

#---------------------------------------------------------------------
%prep
%setup -qn %name-%version
%patch0 -p0
%patch1 -p1

%build
%cmake -DCMAKE_INSTALL_LIBDIR=lib
%make

%install
%makeinstall_std -C build

%{find_lang} %{name}

mkdir -p %buildroot{%_iconsdir,%_miconsdir,%_liconsdir}
convert data/cairo-dock.svg -resize 48x48 %buildroot%_liconsdir/%name.png
convert data/cairo-dock.svg -resize 16x16 %buildroot%_miconsdir/%name.png
convert data/cairo-dock.svg -resize 32x32 %buildroot%_iconsdir/%name.png


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.2.1-2.mga4
+ Revision: 536584
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 fwang <fwang> 3.2.1-1.mga4
+ Revision: 484739
- update file list
- build module
- more linkage fix
- more patch
- drop deprecated switch
- new version 3.2.1

* Fri Jan 11 2013 umeabot <umeabot> 3.1.2-2.mga3
+ Revision: 347307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 fwang <fwang> 3.1.2-1.mga3
+ Revision: 325077
- new version 3.1.2

* Sun Oct 21 2012 fwang <fwang> 3.1.0-1.mga3
+ Revision: 308633
- new version 3.1.0

* Thu Sep 27 2012 tv <tv> 3.0.2-3.mga3
+ Revision: 298622
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 3.0.2-2.mga3
+ Revision: 298621
- rebuild for new pango

* Sun Jul 08 2012 fwang <fwang> 3.0.2-1.mga3
+ Revision: 268820
- new version 3.0.2

* Wed Jun 06 2012 fwang <fwang> 3.0.1-2.mga3
+ Revision: 256050
- new version 3.0.1

* Fri Nov 04 2011 doktor5000 <doktor5000> 2.4.0_2-2.mga2
+ Revision: 162968
- use versioned Suggests on cairo-dock-plugins

* Sun Oct 30 2011 doktor5000 <doktor5000> 2.4.0_2-1.mga2
+ Revision: 160153
- added comments on the purpose for the new macros
- use same macro for version and tarball source URL
- fix compilation with new glib (glib include error)
  fix-glib-includes.patch from wally
- added comments on the purpose for the new macros
- use same macro for version and tarball source URL
- new minor version 2.4.0~2
- adapted versioning scheme to better reflect upstream version
- update URL for Source, use macros to allow for automatic download
- remove deprecated %%clean section and empty %%defattrs

* Sat Oct 01 2011 fwang <fwang> 2.4.0-1.mga2
+ Revision: 150610
- new version 2.4.0 final

* Wed Aug 31 2011 fwang <fwang> 2.4.0-0.beta2.1.mga2
+ Revision: 136903
- new version 2.4.0 beta2

  + gil <gil>
    - update to 2.3.0~3

* Sun Jun 12 2011 fwang <fwang> 2.3.0-3.mga2
+ Revision: 105105
- add back suggests

* Sun Jun 12 2011 fwang <fwang> 2.3.0-2.mga2
+ Revision: 105039
- drop suggests for now

* Sun Jun 12 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 105004
- fix pc version
- new verison 2.3.0

* Thu Apr 14 2011 ennael <ennael> 2.2.0-1.mga1
+ Revision: 85119
- clean spec file
- imported package cairo-dock


* Sun Oct 10 2010 Funda Wang <fwang@mandriva.org> 2.2.0-1mdv2011.0
+ Revision: 584555
- new version 2.2.0

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 2.1.3-1mdv2010.1
+ Revision: 504432
- New version 2.1.3

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 2.1.2-1mdv2010.1
+ Revision: 498440
- New version 2.1.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.8.2-1mdv2010.0
+ Revision: 450644
- update to new version 2.0.8.2

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 2.0.8-1mdv2010.0
+ Revision: 395188
- New version 2.0.8

* Mon Jun 29 2009 Funda Wang <fwang@mandriva.org> 2.0.6-1mdv2010.0
+ Revision: 390651
- New version 2.0.6

* Sun Jun 14 2009 Funda Wang <fwang@mandriva.org> 2.0.5-1mdv2010.0
+ Revision: 385860
- new version 2.0.5

* Wed May 27 2009 Funda Wang <fwang@mandriva.org> 2.0.3-1mdv2010.0
+ Revision: 380051
- New version 2.0.3

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 1.6.3.1-1mdv2009.1
+ Revision: 308382
- new version 1.6.3.1

* Sat Sep 13 2008 Funda Wang <fwang@mandriva.org> 1.6.2.3-1mdv2009.0
+ Revision: 284455
- New version 1.6.2.3

* Sat Jul 26 2008 Funda Wang <fwang@mandriva.org> 1.6.1.2-3mdv2009.0
+ Revision: 250074
- let it choose standard desktop item dir
- add desktop menus and icons
- suggest sub packages

* Thu Jul 24 2008 Funda Wang <fwang@mandriva.org> 1.6.1.2-1mdv2009.0
+ Revision: 245597
- import cairo-dock


